Skip to main content
`Ctrl`+`K`

# numpy.polynomial.hermite.hermsub

polynomial.hermite.hermsub(c1, c2)

  Subtract one Hermite series from another.

  Returns the difference of two Hermite series c1 - c2. The sequences of coefficients are from lowest order term to highest, i.e., [1,2,3] represents the series `P_0 + 2*P_1 + 3*P_2`.

  Parameters:
    c1, c2 array_like

      1-D arrays of Hermite series coefficients ordered from low to high.

  Returns:
    out ndarray

      Of Hermite series coefficients representing their difference.

  See also

  `hermadd`, `hermmulx`, `hermmul`, `hermdiv`, `hermpow`

  Notes

  Unlike multiplication, division, etc., the difference of two Hermite series is a Hermite series (without having to “reproject” the result onto the basis set) so subtraction, just like that of “standard” polynomials, is simply “component-wise.”

  Examples

      >>> from numpy.polynomial.hermite import hermsub
      >>> hermsub([1, 2, 3, 4], [1, 2, 3])
      array([0.,  0.,  0.,  4.])